# Chapter

Package

## Class Chapter

-     public class Chapter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `public final static String` | `KEY_ID` |
    `public final static String` | `KEY_TIME_BASE` |
    `public final static String` | `KEY_START` |
    `public final static String` | `KEY_START_TIME` |
    `public final static String` | `KEY_END` |
    `public final static String` | `KEY_END_TIME` |
    `public final static String` | `KEY_TAGS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Chapter(JSONObject jsonObject)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getId()` |
    `String` | `getTimeBase()` |
    `Long` | `getStart()` |
    `String` | `getStartTime()` |
    `Long` | `getEnd()` |
    `String` | `getEndTime()` |
    `JSONObject` | `getTags()` |
    `String` | `getStringProperty(String key)` | Returns the chapter property associated with the key.
    `Long` | `getNumberProperty(String key)` | Returns the chapter property associated with the key.
    `JSONObject` | `getProperty(String key)` | Returns the chapter property associated with the key.
    `JSONObject` | `getAllProperties()` | Returns all chapter properties defined.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chapter

          Chapter(JSONObject jsonObject)

  - ### Method Detail

    - #### getId

           Long getId()

    - #### getTimeBase

           String getTimeBase()

    - #### getStart

           Long getStart()

    - #### getStartTime

           String getStartTime()

    - #### getEnd

           Long getEnd()

    - #### getEndTime

           String getEndTime()

    - #### getTags

           JSONObject getTags()

    - #### getStringProperty

           String getStringProperty(String key)

      Returns the chapter property associated with the key.

      Parameters:
        `key` - property key

    - #### getNumberProperty

           Long getNumberProperty(String key)

      Returns the chapter property associated with the key.

      Parameters:
        `key` - property key

    - #### getProperty

           JSONObject getProperty(String key)

      Returns the chapter property associated with the key.

      Parameters:
        `key` - property key

    - #### getAllProperties

           JSONObject getAllProperties()

      Returns all chapter properties defined.